Summary:	pump.io social network client
Name:		dianara
Version:	1.3.6
Release:	%mkrel 1
License:	GPLv2+
Group:		Networking/News
URL:		http://jancoding.wordpress.com/dianara/
Source0:	http://download.savannah.gnu.org/releases/dianara/%{name}-v%{version}.tar.gz
BuildRequires:	qttools5
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(qca2-qt5)
BuildRequires:	pkgconfig(qoauth-qt5)
BuildRequires:	magic-devel

Requires:	qtbase5-common
Requires:	qca-qt5

%description
Dianara is a pump.io client, a desktop application for GNU/linux
that allows users to manage their Pump.io social networking
accounts without the need to use a web browser.

%prep
%setup -qn %{name}-v%{version}

%build
%qmake_qt5

%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

%files
%doc CHANGELOG README BUGS TODO
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/appdata/%{name}.appdata.xml
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man1/%{name}.1.*


%changelog
* Sun Dec 18 2016 daviddavid <daviddavid> 1.3.6-1.mga6
+ Revision: 1075835
- new version: 1.3.6
- remove merged upstream patches
- no need to package translation files

* Fri Jul 01 2016 daviddavid <daviddavid> 1.3.4-1.mga6
+ Revision: 1038272
- new version: 1.3.4 (fixes mga#18833)
- port to Qt5 now
- update files list

* Mon May 23 2016 daviddavid <daviddavid> 1.3.3-2.mga6
+ Revision: 1017965
- rebuild for new qoauth 2.0.1
- fix owner of locale data dir

* Sat Apr 02 2016 filipesaraiva <filipesaraiva> 1.3.3-1.mga6
+ Revision: 997670
- Update dianara to 1.3.3 version

* Sun Jan 10 2016 filipesaraiva <filipesaraiva> 1.3.2-1.mga6
+ Revision: 921179
- Update to 1.3.2 version;
- Use a more correct name for some BR;

* Sat Jan 10 2015 filipesaraiva <filipesaraiva> 1.2.5-1.mga5
+ Revision: 809740
- Update to 1.2.5 version

* Tue Oct 21 2014 filipesaraiva <filipesaraiva> 1.2.4-1.mga5
+ Revision: 792325
- Update to 1.2.4 version;

* Wed Oct 15 2014 umeabot <umeabot> 1.2.3-3.mga5
+ Revision: 744423
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.3-2.mga5
+ Revision: 678737
- Mageia 5 Mass Rebuild

* Mon Sep 08 2014 filipesaraiva <filipesaraiva> 1.2.3-1.mga5
+ Revision: 673587
- Put missed tarball
- Updated Dianara to 1.2.3 version;

* Sat Aug 02 2014 filipesaraiva <filipesaraiva> 1.2.2-1.mga5
+ Revision: 659240
- Updated to 1.2.2 version

* Thu Apr 17 2014 filipesaraiva <filipesaraiva> 1.2.0-1.mga5
+ Revision: 615323
- Updated to dianara 1.2.0 version

* Wed Jan 15 2014 filipesaraiva <filipesaraiva> 1.1-1.mga5
+ Revision: 566626
- Updated to 1.1 version

* Tue Oct 29 2013 filipesaraiva <filipesaraiva> 1.0-1.mga4
+ Revision: 547857
- Dianara updated for 1.0 version;
- Removed patch0 (the patch was merged in upstream)

* Sat Oct 19 2013 umeabot <umeabot> 0.9-7.mga4
+ Revision: 531954
- Mageia 4 Mass Rebuild

* Tue Aug 13 2013 wally <wally> 0.9-6.mga4
+ Revision: 466040
- drop unneeded explicit lib requires
- use %%qmake_qt4 macro to build with our build time flags

* Tue Aug 13 2013 filipesaraiva <filipesaraiva> 0.9-5.mga4
+ Revision: 466013
- Fixed libqoauth1 requires

* Tue Aug 13 2013 filipesaraiva <filipesaraiva> 0.9-4.mga4
+ Revision: 466002
- Fix libqoauth requires

* Mon Aug 12 2013 filipesaraiva <filipesaraiva> 0.9-3.mga4
+ Revision: 465923
- Fixed qoauth requires

* Mon Aug 12 2013 filipesaraiva <filipesaraiva> 0.9-2.mga4
+ Revision: 465861
- Fixed requires to qjson

* Mon Aug 12 2013 filipesaraiva <filipesaraiva> 0.9-1.mga4
+ Revision: 465730
- Developed patch to fix error in dianara.desktop
- Fixed BuildRequires from libqjson-devel to qjson-devel
- Fixed BuildRequires from lib64qjson to libqjson-devel
- imported package dianara

